## ros-indigo-schunk-ezn64 1.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(schunk_ezn64)

find_package(PkgConfig REQUIRED)
pkg_check_modules(PC_LIBUSB REQUIRED libusb-1.0)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  message_generation
  tf
  )

include_directories(${catkin_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}/include/)

SET(SOURCES ${PROJECT_SOURCE_DIR}/src/ezn64_usb_control.cpp
            ${PROJECT_SOURCE_DIR}/src/ezn64_usb_control_lib.cpp)

SET(HEADERS ${PROJECT_SOURCE_DIR}/include/ezn64_usb_control.h)

add_service_files(FILES reference.srv
                        set_position.srv
                        get_error.srv
                        get_position.srv
                        acknowledge_error.srv
                        stop.srv)

generate_messages(DEPENDENCIES)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
  DEPENDS roscpp tf)

add_executable(${PROJECT_NAME} ${SOURCES} ${HEADERS})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS} schunk_ezn64_gencpp)
target_link_libraries(${PROJECT_NAME} ${ROS_LIBRARIES} ${catkin_LIBRARIES} ${PC_LIBUSB_LIBRARIES})

=== debian/changelog ===
ros-indigo-schunk-ezn64 (1.3.7-0trusty) trusty; urgency=high

  * fixed wrong getParam names
  * Contributors: durovsky

 -- Frantisek Durovsky <frantisek.durovsky@smartroboticsys.eu>  Wed, 23 Sep 2015 22:00:00 -0000

ros-indigo-schunk-ezn64 (1.3.6-0trusty) trusty; urgency=high

  * palm link changed to base link
  * added standalone visualization xacro model
  * Contributors: durovsky

 -- Frantisek Durovsky <frantisek.durovsky@smartroboticsys.eu>  Tue, 22 Sep 2015 22:00:00 -0000

ros-indigo-schunk-ezn64 (1.3.5-0trusty) trusty; urgency=high

  * added tf dependency
  * Contributors: durovsky

 -- Frantisek Durovsky <frantisek.durovsky@smartroboticsys.eu>  Mon, 21 Sep 2015 22:00:00 -0000

ros-indigo-schunk-ezn64 (1.3.4-0trusty) trusty; urgency=high

  * changed libusb dependencies
  * Contributors: durovsky

 -- Frantisek Durovsky <frantisek.durovsky@smartroboticsys.eu>  Mon, 21 Sep 2015 22:00:00 -0000

ros-indigo-schunk-ezn64 (1.3.3-0trusty) trusty; urgency=high

  * added schunk_ in front of package name
  * added CHANGELOGS
  * finished renaming from pg70 to schunk_pg70
  * Contributors: durovsky
  * finished renaming from pg70 to schunk_pg70
  * Contributors: durovsky

 -- Frantisek Durovsky <frantisek.durovsky@smartroboticsys.eu>  Thu, 17 Sep 2015 22:00:00 -0000

ros-indigo-schunk-ezn64 (1.3.2-0trusty) trusty; urgency=high

  * added acknowleding error
  * updated launch file
  * 1.3.1
  * generated CHANGELOGS
  * renamed package
  * Contributors: durovsky

 -- Frantisek Durovsky <frantisek.durovsky@smartroboticsys.eu>  Thu, 17 Sep 2015 22:00:00 -0000

ros-indigo-schunk-ezn64 (1.3.0-0trusty) trusty; urgency=high



 -- Frantisek Durovsky <frantisek.durovsky@smartroboticsys.eu>  Tue, 15 Sep 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-schunk-ezn64
Section: misc
Priority: extra
Maintainer: Frantisek Durovsky <frantisek.durovsky@smartroboticsys.eu>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-tf
Homepage: http://www.smartroboticsys.eu/
Standards-Version: 3.9.2

Package: ros-indigo-schunk-ezn64
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-indigo-roscpp, ros-indigo-tf
Description: Xacro model and usb driver for basic communication with Schunk EZN64 gripper

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-schunk-ezn64//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
